Bug 1305478 - calamari API :api/v2/user - reports to input password, but no password field in UI
calamari API :api/v2/user - reports to input password, but no password field ...
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari (Show other bugs)
1.3.2
Unspecified Linux
unspecified Severity medium
: rc
: 1.3.4
Assigned To: Gregory Meno
ceph-qe-bugs
Bara Ancincova
:
Depends On:
Blocks: 1299303 1372735
  Show dependency treegraph
 
Reported: 2016-02-08 06:21 EST by rakesh
Modified: 2017-09-21 19:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Missing password field in Calamari An attempt to create a new user in the Calamari UI fails with the `password field is required` error because the password field is missing from the Calamari UI. To work around this issue, use the Raw data form and create the new user by using the JSON format, for example: ---- { "username": "user", "email": "user@example.com", "password": "password" } ----
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot showing password is required. (163.03 KB, image/png)
2016-02-08 06:21 EST, rakesh
no flags Details

  None (edit)
Description rakesh 2016-02-08 06:21:36 EST
Created attachment 1122147 [details]
Screen shot showing password is required.

Description of problem:

This rest API: http://10.8.128.8/api/v2/user is for creating users. 
when api call is used with JSON post with the fields username, password and email, the user gets created. But the same does not apply for creating users using calamari UI. we get the error saying that "password field is required" but in calamari UI, there is no password field.  

The error snapshot is attached.
Comment 3 rakesh 2016-02-16 09:17:14 EST
Hi bara, 

there are two options one with HTML and other is Raw data form. You can choose Media type as application/Json create the users, with json data in the form as shown below :

{
    "username": "abc", 
    "email": "abc@abc.com",
    "password": "abc123"

}
Comment 5 rakesh 2016-02-22 06:39:23 EST
That looks fine Bara, thanks a lot.
Comment 6 Gregory Meno 2016-05-06 00:11:22 EDT
The preferred method of creating users in 1.3 is http://calamari.readthedocs.io/en/latest/operations/users.html#how-do-i-administer-it

Note You need to log in before you can comment on or make changes to this bug.